Bug 1830396 (CVE-2020-12689) - CVE-2020-12689 openstack-keystone: EC2 and credential endpoints are not protected from a scoped context
Summary: CVE-2020-12689 openstack-keystone: EC2 and credential endpoints are not prote...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-12689
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1832399 1831354 1831355 1831356 1831357
Blocks: 1830398
TreeView+ depends on / blocked
 
Reported: 2020-05-01 20:03 UTC by Laura Pardo
Modified: 2020-07-22 12:40 UTC (History)
24 users (show)

Fixed In Version: Keystone 15.0.1, Keystone 16.0.1
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in Keystone's EC2 credentials API. This flaw allows any user authenticated within a limited scope (trust/OAuth/application credential) to create an EC2 credential with escalated permissions, for example, obtaining an "admin" role, while the user is on a limited "viewer" role.
Clone Of:
Environment:
Last Closed: 2020-06-24 17:20:28 UTC


Attachments (Terms of Use)
propossed patch (22.66 KB, application/mbox)
2020-05-01 20:05 UTC, Laura Pardo
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2732 None None None 2020-06-24 12:36:23 UTC
Red Hat Product Errata RHSA-2020:3096 None None None 2020-07-22 12:11:59 UTC
Red Hat Product Errata RHSA-2020:3102 None None None 2020-07-22 12:40:17 UTC
Red Hat Product Errata RHSA-2020:3105 None None None 2020-07-22 12:40:30 UTC

Description Laura Pardo 2020-05-01 20:03:01 UTC
A vulnerability was found Keystone's EC2 credentials API. Any user authenticated within a limited scope (trust/oauth/application credential) can create an EC2 credential with an escalated permission, such as obtaining "admin" while the user is on a limited "viewer" role.

Comment 1 Laura Pardo 2020-05-01 20:05:07 UTC
Created attachment 1683826 [details]
propossed patch

Created attachment 1683826 [details]
0001-Respect-token-roles-when-creating-EC2-credentials.patch-master

Comment 4 msiddiqu 2020-05-01 21:37:42 UTC
References: 
 
https://launchpad.net/bugs/1872735

Comment 12 Nick Tait 2020-05-06 16:36:49 UTC
Created openstack-keystone tracking bugs for this issue:

Affects: openstack-rdo [bug 1832399]

Comment 16 Nick Tait 2020-05-07 20:13:33 UTC
External References:

https://security.openstack.org/ossa/OSSA-2020-004.html

Comment 19 Nick Tait 2020-05-14 01:13:23 UTC
Acknowledgments:

Name: kay (OpenStack)

Comment 20 errata-xmlrpc 2020-06-24 12:36:21 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 13.0 (Queens)
  Red Hat OpenStack Platform 13.0 (Queens) for RHEL 7.6 EUS

Via RHSA-2020:2732 https://access.redhat.com/errata/RHSA-2020:2732

Comment 21 Product Security DevOps Team 2020-06-24 17:20:28 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-12689

Comment 22 errata-xmlrpc 2020-07-22 12:11:55 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)

Via RHSA-2020:3096 https://access.redhat.com/errata/RHSA-2020:3096

Comment 23 errata-xmlrpc 2020-07-22 12:40:14 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 15.0 (Stein)

Via RHSA-2020:3102 https://access.redhat.com/errata/RHSA-2020:3102

Comment 24 errata-xmlrpc 2020-07-22 12:40:28 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 16.0 (Train)

Via RHSA-2020:3105 https://access.redhat.com/errata/RHSA-2020:3105


Note You need to log in before you can comment on or make changes to this bug.